# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc查询条件验证_商品列表_发货时间,2293,2293-040,sit,bs
主数据平台:运营后台管理系统获取商品列表接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import random
import json


module = "cmdc_product"

# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 获取商品列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url39")
request_body = commonFuc().get_business_data(module, "payload39")

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 生成随机数
product_random = random.randint(0, len(result["data"]["list"]) - 1)

# 获取商品信息
product_name = result["data"]["list"][product_random]["productName"]
product_code = result["data"]["list"][product_random]["productCode"]

# 进行查询条件验证
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url40")
request_body = commonFuc().get_business_data(module, "payload40", product_name, product_code)

"""

 场景: 查询条件验证_商品列表_发货时间
 用例名称：查询条件验证_商品列表_发货时间
 输出：{"productCode":"%s"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)
# print(result)
# 获取查询结果中商品信息
result = {"productCode": result["data"]["list"][0]["productCode"]}
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict40", product_code)
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)


